
strings = {
    'noPrefs':"""Sorry, but the prefs file cannot be found.
Perhaps Cave Story has not been installed or run on this account.""",
    'notMac':"Sorry, the default path is only available on the Mac.",
    'getSource':"""Enter the filename of the profile to store:
Or type Q to cancel.""",
    'getDest':"""Enter the filename to extract the profile to:
Or type Q to cancel.""",
    'macMainMenu':"""Which operation would you like to perform?
E - Extract a save from a Macintosh property list and save it to a file.
S - Store a save in a Macintosh property list, overwriting the existing one.
X - Edit a save file.
Q - Quit the program.""",
    'menu':"""What would you like to do?"
O - Select another file.
W - Edit weapons
I - Edit inventory
T - Edit teleporter (not implemented)
F - Edit flags (not implemented)
X - Edit other attributes (not implemented)
Q - Finish editing.""",
    'addRemove':"Add or remove (A/R)?",
    'addResponse':'A',
    'removeResponse':'R',
    'whichWeapon':"Which weapon?",
    'level':"At what level?",
    'weaponEnergy':"Weapon energy?",
    'ammo':"Ammo?",
    'wrong':"Invalid response.",
    'whichItem':"Which item?",
    'equip?':"Equipped if applicable (Y/N)?",
    'notFound':"File %s not found.",
    'editWhich':"Which file would you like to edit?"
}

def displayUsage():
    print "Usage:", sys.argv[0], "[opt [params]]*"
    print
    print "Available options are -e, -s, -c, -w, +w, -i, +i, -f, +f, -x:"
    if sys.platform == 'darwin':
        print "-e prefFile dest"
        print "    Extracts a profile from the Mac property list into a file."
        print "    Use @ for the prefFile to indicate the default property list."
        print "-s source prefFile"
        print "    Stores a profile in the Mac property list, replacing the one already there."
        print "    Use @ to for the prefFile indicate the default property list."
    print "+wx@v=y,z"
    print "    Adds weapon x at level v to your inventory with y experience and z max ammo."
    print "-wx"
    print "    Removes weapon x from your inventory."
    print "+ix"
    print "    Adds item x to your inventory."
    print "-ix"
    print "    Removes item x from your inventory."
    print "+fx"
    print "    Sets flag x."
    print "-fx"
    print "    Unsets flag x."
    print "-x"
    print "    Advanced editing. For more information on advanced edits, specify -hx or -?x in the command line."
    print "-h"
    print "    Show this help."
    
def advancedHelp():
    print "The syntax for advanced edits is:"
    print "    -x [param=value]* -"
    print "There may be any number of param/value pairs."
    print "Valid parameters are:"
    print "    hp"
    print "        Must be either a number or the keyword 'max'. If it is a number,"
    print "        it sets the current health to that number (even if it's greater"
    print "        than the maximum health). If it is the keyword 'max' (without"
    print "        the quotes), it sets the current health to the maximum. If the"
    print "        maximum health is being set at the same time, the new maximum"
    print "        is used."
    print "    maxhp"
    print "        Must be a number. Sets the maximum health to that number."